## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global sname pyvat
%global owner iconfinder
%global forgeurl https://github.com/%{owner}/%{sname}
Version:    1.3.19
%forgemeta

Name:       python-%{sname}
Release:    %autorelease
Summary:    VAT validation and calculation for Python
# Automatically converted from old format: ASL 2.0 - review is highly recommended.
License:    Apache-2.0
URL:        https://github.com/iconfinder/pyvat/
BuildArch:  noarch
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}
Source0:    %{forgesource}
# https://github.com/iconfinder/pyvat/commit/ac5c01ca458e6d498d7238e62586964a0c3e64ba.patch
Patch1: python-pyvat-FI-VAT-update.patch

BuildRequires:  python3-devel
Requires:       python3

%description
With EU VAT handling rules becoming ever more ridiculous and complicated,
businesses within the EU are faced with the complexity of having to
validate VAT numbers. pyvat was built for
Iconfinder's marketplace to handle just this problem.

%package -n python3-%{sname}
Summary:    %{summary}

%description -n python3-%{sname}
With EU VAT handling rules becoming ever more ridiculous and complicated,
businesses within the EU are faced with the complexity of having to
validate VAT numbers. pyvat was built for
Iconfinder's marketplace to handle just this problem.

%prep
%forgesetup
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{sname}

# check
# These tests require unittest2 to run as the project is compatible with Python 2 versions
# unittest2 was intentially removed from Fedora repositories see https://bugzilla.redhat.com/show_bug.cgi?id=1794222

%files -n python3-%{sname} -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.3.19-8
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.19-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Sep 13 2024 Paul Wouters <paul@nohats.ca> - 1.3.19-5
- Update VAT for Finland from 24 to 25.5 (as per Sep 1 2024)

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 1.3.19-4
- convert ASL 2.0 license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.3.19-2
- Rebuilt for Python 3.13

* Wed Feb 21 2024 Packit <hello@packit.dev> - 1.3.19-1
- [packit] 1.3.19 upstream release

* Wed Feb 21 2024 Roman Inflianskas <rominf@aiven.io> - 1.3.17-10
- packit: koji build and bodhi update

* Wed Feb 14 2024 Roman Inflianskas <rominf@aiven.io> - 1.3.17-9
- packit: pull from upstream

* Wed Feb 14 2024 Roman Inflianskas <rominf@aiven.io> - 1.3.17-8
- Switch to using forges

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.3.17-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 10 2023 Italo Garcia <italo.garcia@aiven.io> - 1.3.17-1
- Update to 1.3.17

* Mon Dec 19 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.16-2
- Drop support for i686

* Mon Sep 19 2022 Roman Inflianskas <rominf@aiven.io> - 1.3.16-1
- Update to 1.3.16

* Tue Jul 19 2022 Italo Garcia <italo.garcia@aiven.io> - 1.3.15-1
- Initial package

## END: Generated by rpmautospec
